package com.bzd.system.service.cgxs;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 处方记录表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SCgxsCfdjPrescriptionRecordService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSCgxsCfdjPrescriptionRecord(PageData pd)throws Exception {
        return daoSupport.update("SCgxsCfdjPrescriptionRecordMapper.addSCgxsCfdjPrescriptionRecord", pd);
    }

    public List<PageData> findSCgxsCfdjPrescriptionRecordList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SCgxsCfdjPrescriptionRecordMapper.selectSCgxsCfdjPrescriptionRecordList", pd);
    }

    public Integer SCgxsCfdjPrescriptionRecordRemove(PageData pd)throws Exception {
        return daoSupport.delete("SCgxsCfdjPrescriptionRecordMapper.SCgxsCfdjPrescriptionRecordRemove", pd);
    }


    public Integer updateSCgxsCfdjPrescriptionRecord(PageData pd)throws Exception {
        return daoSupport.update("SCgxsCfdjPrescriptionRecordMapper.updateSCgxsCfdjPrescriptionRecord", pd);
    }

}
